/*
 * Original by ArduinoGetStarted.com
 *
 * This example code is in the public domain
 *
 * Tutorial page: https://arduinogetstarted.com/tutorials/arduino-light-sensor
 * 
 * Servo control added by Jared Gardner
 */
 
#include <Servo.h>

// constants won't change
const int LIGHT_SENSOR_PIN = A1; // Arduino pin connected to light sensor's  pin
const int LED_PIN          = 3;  // Arduino pin connected to LED's pin
const int ANALOG_THRESHOLD = 200;
const int SERVO_SPEED_2 = 98;
const int SERVO_SPEED_1 = 87;
const int SERVO_DELAY_2 = 1550;
const int SERVO_DELAY_1 = 1500;

Servo myservo;  // create servo object to control a servo

// variables will change:
int analogValue;

void setup() {
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
  pinMode(LED_PIN, OUTPUT); // set arduino pin to output mode
  Serial.begin(9600);
}

void loop() {
  analogValue = analogRead(LIGHT_SENSOR_PIN); // read the input on analog pin
  Serial.println("Light value: ");
  Serial.println(analogValue);
  if(analogValue < ANALOG_THRESHOLD){
    digitalWrite(LED_PIN, HIGH);    // turn on LED
    myservo.write(SERVO_SPEED_2);              // tell servo rotate at speed SERVO_SPEED_1
    Serial.println("first");
    delay(SERVO_DELAY_2);                    // waits SERVO_DELAY_1 ms for the servo to reach the position
    myservo.write(SERVO_SPEED_1);              // tell servo rotate at speed SERVO_SPEED_2
    Serial.println("second");
    delay(SERVO_DELAY_1);                    // waits SERVO_DELAY_2 ms for the servo to reach the position
    myservo.write(90);
  }else{
    digitalWrite(LED_PIN, LOW);  // turn off LED
  }
}
